Index: channels/chan_zap.c
===================================================================
--- channels/chan_zap.c (revision 46286)
+++ channels/chan_zap.c (working copy)
@@ -8217,6 +8217,11 @@
                                pri_dump_event(pri->dchans[which], e);
                        if (e->e != PRI_EVENT_DCHAN_DOWN)
                                pri->dchanavail[which] |= DCHAN_UP;
+
+                       if ((e->e != PRI_EVENT_DCHAN_UP) && (e->e != PRI_EVENT_DCHAN_DOWN) && (pri->pri != pri->dchan[which]))
+                               /* Must be an NFAS group that has the secondary dchan active */
+                               pri->pri = pri->dchans[which];
+
                        switch(e->e) {
                        case PRI_EVENT_DCHAN_UP:
                                if (option_verbose > 1) 
